%-----------------------------------------------------
% generate grid indexes and point coordinates
%   indexes (i,j,k) start at 0
%-----------------------------------------------------

function [ IJK, XYZ ] = generateGrid( params )
% computes grid indexes and values

M = params.M;
M1 = params.M1;
M11 = M1-1;
del = params.delta;
L2 = params.L / 2;

IJK = zeros(M,3);
XYZ = zeros(M,3);

m=0;
for k = 1:M11
    z = -L2 + k*del;
    for j = 1:M11
        y = -L2 + j*del;
        for i = 1:M11
            m = m+1;
            x = -L2 + i*del;
            IJK(m,1) = i-1;
            IJK(m,2) = j-1;
            IJK(m,3) = k-1;
            XYZ(m,1) = x;
            XYZ(m,2) = y;
            XYZ(m,3) = z;
        end
    end
end

end

