%---------------------------------------------------------
% save grid indexes and points; indexes (i,j,k) start at 0
%---------------------------------------------------------

function nofGPoints = saveGrid(fileName, IJK, XYZ);

% open file
fid = fopen(fileName, 'wt');

nofXYZ = size(XYZ(:,1));
nofIJK = size(IJK(:,1));
assert( nofXYZ(1) == nofIJK(1), 'Data is not consistent!');
nofGPoints = nofXYZ(1);

for m = 1:nofGPoints
        fprintf(fid, '%d\t%d\t%d\t', IJK(m,1), IJK(m,2), IJK(m,3) );
        fprintf(fid, '%14.7e\t%14.7e\t%14.7e\n', XYZ(m,1), XYZ(m,2), XYZ(m,3) );
end;

fclose(fid);

end